PPI::Structure::List(3)

NAME
PPI::Structure::List - Explicit list or precedence ordering braces

SYNOPSIS
  # A list used for params
  function( 'param', 'param' );

  # Explicit list
  return ( 'foo', 'bar' );

INHERITANCE
  PPI::Structure::List
  isa PPI::Structure
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Structure::List" is the class used for circular braces that represent lists, and related.

METHODS
"PPI::Structure::List" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

Got any ideas for methods? Submit a report to rt.cpan.org!

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.